﻿Fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub Fluke 19x Final Cal Steps RS-232 /5500+SC
DATE:                  2018-01-08 12:36:46
AUTHOR:                Fluke
REVISION:              $Revision: 22097 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       405
CONFIGURATION:         Fluke 5500A (SC)
=============================================================================
#
#  Procedure Author:
#        DT, DFM, DAC, VY
#
#  Models covered:
#        Fluke 19x ScopeMeter®
#
#  Compatibility:
#        MET/CAL 8.0 and later
#
# This procedure is intended for use with MET/CAL® calibration software; the
# terms and conditions set forth in your MET/CAL license apply to this
# procedure.
#
# Due to Fluke's policy of continuously updating our products, this procedure
# may contain minor differences in methods used and/or specifications to
# those found in the manual or other documentation. While every effort has
# been made to ensure that this procedure is accurate, Fluke cannot be held
# responsible for the consequences of error or omissions found within this
# procedure.
#
# The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Final calibration.
  1.001  MATH         @CalStep = 654

  1.002  DO
  1.003  TARGET

  1.004  IF           @CalStep == 654
  1.005  5500         *                                                 S
# First cal step is CL 654. (Subsequent Cal Step are returned from UUT.)
  1.006  HEAD         INPUT A LF-HF GAIN ADJUSTMENT
  1.007  HEAD         -2 Cal Step CL 0654
  1.008  MATH         CalWaitTime = 5

  1.009  ELSEIF       @CalStep == 400
  1.010  5500         *                                                 S
  1.011  PIC          19x_a_input_55_scope.jpg
# @Picture is picture to show at error.
  1.012  MATH         @Picture = "19x_a_input_55_scope.jpg"
  1.013  HEAD         -2 Cal Step CL 0400
  1.014  5500         0.5Vpp                       1kH            ED SC S  L
  1.015  MATH         CalWaitTime = 7

  1.016  ELSEIF       @CalStep == 704
  1.017  5500         *                                                 S
  1.018  HEAD         -2 Cal Step CL 0704
  1.019  MATH         CalWaitTime = 5

  1.020  ELSEIF       @CalStep == 420
  1.021  HEAD         -2 Cal Step CL 0420
  1.022  5500         0.5Vpp                       1kH            ED SC S  L
  1.023  MATH         CalWaitTime = 280

  1.024  ELSEIF       @CalStep == 480
  1.025  HEAD         -2 Cal Step CL 0480
  1.026  5500         0.5Vpp                       50kH           LS SC S  L
  1.027  MATH         CalWaitTime = 5

  1.028  ELSEIF       @CalStep == 481
  1.029  HEAD         -2 Cal Step CL 0481

  1.030  IF           @Bandwidth == 60E+6
  1.031  MATH         MEM = 91
  1.032  ELSEIF       @Bandwidth == 100E+6
  1.033  MATH         MEM = 141
  1.034  ELSE
  1.035  MATH         MEM = 221
  1.036  ENDIF

  1.037  5500         MH                           0.5Vpp         LS SC S  L

  1.038  ELSEIF       @CalStep == 674
  1.039  5500         *                                                 S
  1.040  HEAD         INPUT B LF-HF GAIN ADJUSTMENT
  1.041  HEAD         -2 Cal Step CL 0674

  1.042  ELSEIF       @CalStep == 410
  1.043  5500         *                                                 S
  1.044  PIC          19x_b_input_55_scope.jpg
  1.045  MATH         @Picture = "19x_b_input_55_scope.jpg"
  1.046  HEAD         -2 Cal Step CL 0410
  1.047  5500         0.5Vpp                       1kH            ED SC S  L
  1.048  MATH         CalWaitTime = 7

  1.049  ELSEIF       @CalStep == 724
  1.050  5500         *                                                 S
  1.051  HEAD         -2 Cal Step CL 0724
  1.052  MATH         CalWaitTime = 5

  1.053  ELSEIF       @CalStep == 421
  1.054  HEAD         -2 Cal Step CL 0421
  1.055  5500         0.5Vpp                       1kH            ED SC S  L
  1.056  MATH         CalWaitTime = 280

  1.057  ELSEIF       @CalStep == 482
  1.058  HEAD         -2 Cal Step CL 0482
  1.059  5500         0.5Vpp                       50kH           LS SC S  L
  1.060  MATH         CalWaitTime = 5

  1.061  ELSEIF       @CalStep == 483
  1.062  HEAD         -2 Cal Step CL 0483

  1.063  IF           @Bandwidth == 60E+6
  1.064  MATH         MEM = 91
  1.065  ELSEIF       @Bandwidth == 100E+6
  1.066  MATH         MEM = 141
  1.067  ELSE
  1.068  MATH         MEM = 221
  1.069  ENDIF

  1.070  5500         MH                           0.5Vpp         LS SC S  L

  1.071  ELSEIF       @CalStep == 660
# Cal steps CL 0660 for firmware V03.00 and later.
  1.072  HEAD         INPUT A&B LF-HF GAIN

  1.073  IF           NOT(ZCMPI(@Picture, "19x_ab_input_55_scope.jpg"))
  1.074  5500         *                                                 S
  1.075  PIC          19x_ab_input_55_scope.jpg
  1.076  MATH         @Picture = "19x_ab_input_55_scope.jpg"
  1.077  ENDIF

  1.078  HEAD         -2 Cal Step CL 0660
  1.079  5500         0.3Vpp                       1kH            ZQ SC S
  1.080  MATH         CalWaitTime = 8

  1.081  ELSEIF       @CalStep == 604
  1.082  HEAD         INPUT A&B LF-HF GAIN

  1.083  IF           NOT(ZCMPI(@Picture, "19x_ab_input_55_scope.jpg"))
  1.084  5500         *                                                 S
  1.085  PIC          19x_ab_input_55_scope.jpg
  1.086  MATH         @Picture = "19x_ab_input_55_scope"
  1.087  ENDIF

  1.088  HEAD         -2 Cal Step CL 0604
  1.089  5500         0.5Vpp                       1kH            ZQ SC S
  1.090  MATH         CalWaitTime = 12

  1.091  ELSEIF       @CalStep == 637
  1.092  5500         *                                                 S
  1.093  HEAD         -2 Cal Step CL 0637
  1.094  MATH         CalWaitTime = 10

  1.095  ELSEIF       @CalStep == 504
  1.096  HEAD         -2 Cal Step CL 0504
  1.097  5500         0.5Vpp                       1kH            ZQ SC S
  1.098  MATH         CalWaitTime = 125

  1.099  ELSEIF       @CalStep == 624
  1.100  5500         *                                                 S
  1.101  HEAD         -2 Cal Step CL 0624
  1.102  MATH         CalWaitTime = 43

  1.103  ELSEIF       @CalStep == 600
  1.104  HEAD         -2 Cal Step CL 0600
  1.105  5500         25mVpp                       1kH            ZQ SC S
  1.106  MATH         CalWaitTime = 13

  1.107  ELSEIF       @CalStep == 601
  1.108  HEAD         -2 Cal Step CL 0601
  1.109  5500         50mVpp                       1kH            ZQ SC S

  1.110  ELSEIF       @CalStep == 602
  1.111  HEAD         -2 Cal Step CL 0602
  1.112  5500         100mVpp                      1kH            ZQ SC S
  1.113  MATH         CalWaitTime = 15

  1.114  ELSEIF       @CalStep == 603
  1.115  HEAD         -2 Cal Step CL 0603
  1.116  5500         250mVpp                      1kH            ZQ SC S

  1.117  ELSEIF       @CalStep == 662
  1.118  HEAD         -2 Cal Step CL 0662
  1.119  5500         2Vpp                         1kH            ZQ SC S
  1.120  MATH         CalWaitTime = 12

  1.121  ELSEIF       @CalStep == 605
  1.122  HEAD         -2 Cal Step CL 0605
  1.123  5500         1Vpp                         1kH            ZQ SC S

  1.124  ELSEIF       @CalStep == 606
  1.125  HEAD         -2 Cal Step CL 0606
  1.126  5500         2.5Vpp                       1kH            ZQ SC S

  1.127  ELSEIF       @CalStep == 607
  1.128  HEAD         -2 Cal Step CL 0607
  1.129  5500         5Vpp                         1kH            ZQ SC S

  1.130  ELSEIF       @CalStep == 664
  1.131  HEAD         -2 Cal Step CL 0664
  1.132  5500         20Vpp                        1kH            ZQ SC S
  1.133  MATH         CalWaitTime = 28

  1.134  ELSEIF       @CalStep == 608
  1.135  HEAD         -2 Cal Step CL 0608
  1.136  5500         10Vpp                        1kH            ZQ SC S

  1.137  ELSEIF       @CalStep == 609
  1.138  HEAD         -2 Cal Step CL 0609
  1.139  5500         25Vpp                        1kH            ZQ SC S
  1.140  MATH         CalWaitTime = 5

  1.141  ELSEIF       @CalStep == 610
  1.142  HEAD         -2 Cal Step CL 0610
  1.143  5500         50Vpp                        1kH            ZQ SC S
  1.144  MATH         CalWaitTime = 50

  1.145  ELSEIF       @CalStep == 620
  1.146  5500         *                                                 S
  1.147  HEAD         INPUT A&B POSITION ADJUSTMENT
  1.148  HEAD         -2 Cal Step CL 0620
# Step CL 0620 for firmware V5.01 and V5.02.
  1.149  MATH         CalWaitTime = 90

  1.150  ELSEIF       @CalStep == 824
  1.151  5500         *                                                 S
  1.152  HEAD         INPUT A&B VOLT GAIN ADJUSTMENT
  1.153  PIC          19x_ab_input_55.jpg
  1.154  MATH         @Picture = "19x_ab_input_55.jpg"
  1.155  HEAD         -2 Cal Step CL 0824
  1.156  5500         250mV                                             S  2W
  1.157  MATH         CalWaitTime = 54

  1.158  ELSEIF       @CalStep == 800
  1.159  HEAD         -2 Cal Step CL 0800
  1.160  5500         12.5mV                                            S  2W
  1.161  MATH         CalWaitTime = 12

  1.162  ELSEIF       @CalStep == 801
  1.163  HEAD         -2 Cal Step CL 0801
  1.164  5500         25mV                                              S  2W
  1.165  MATH         CalWaitTime = 10

  1.166  ELSEIF       @CalStep == 802
  1.167  HEAD         -2 Cal Step CL 0802
  1.168  5500         50mV                                              S  2W

  1.169  ELSEIF       @CalStep == 803
  1.170  HEAD         -2 Cal Step CL 0803
  1.171  5500         125mV                                             S  2W

  1.172  ELSEIF       @CalStep == 805
  1.173  HEAD         -2 Cal Step CL 0805
  1.174  5500         500mV                                             S  2W

  1.175  ELSEIF       @CalStep == 806
  1.176  HEAD         -2 Cal Step CL 0806
  1.177  5500         1.25V                                             S  2W

  1.178  ELSEIF       @CalStep == 807
  1.179  HEAD         -2 Cal Step CL 0807
  1.180  5500         2.5V                                              S  2W

  1.181  ELSEIF       @CalStep == 808
  1.182  HEAD         -2 Cal Step CL 0808
  1.183  5500         5V                                                S  2W

  1.184  ELSEIF       @CalStep == 809
  1.185  5500         12.5V                                             S  2W

  1.186  ELSEIF       @CalStep == 810
  1.187  HEAD         -2 Cal Step CL 0810
  1.188  5500         25V                                               S  2W

  1.189  ELSEIF       @CalStep == 811
  1.190  HEAD         -2 Cal Step CL 0811
  1.191  5500         50V                                               S  2W

  1.192  ELSEIF       @CalStep == 812
  1.193  HEAD         -2 Cal Step CL 0812
  1.194  5500         125V                                              S  2W

  1.195  ELSEIF       @CalStep == 813
  1.196  HEAD         -2 Cal Step CL 0813
  1.197  5500         250V                                              S  2W

  1.198  ELSEIF       @CalStep == 840
  1.199  5500         *                                                 S
  1.200  HEAD         DMM VOLT GAIN ADJUSTMENT
  1.201  PIC          19x_meter_input_2w_55.jpg
  1.202  MATH         @Picture = "19x_meter_input_2w_55.jpg"
  1.203  HEAD         -2 Cal Step CL 0840
  1.204  5500         500mV                                             S  2W
  1.205  MATH         CalWaitTime = 8

  1.206  ELSEIF       @CalStep == 849
  1.207  HEAD         -2 Cal Step CL 0849
  1.208  5500         2.5V                                              S  2W
  1.209  MATH         CalWaitTime = 7

  1.210  ELSEIF       @CalStep == 841
  1.211  HEAD         -2 Cal Step CL 0841
  1.212  5500         5V                                                S  2W

  1.213  ELSEIF       @CalStep == 842
  1.214  HEAD         -2 Cal Step CL 0842
  1.215  5500         50V                                               S  2W

  1.216  ELSEIF       @CalStep == 843
  1.217  HEAD         -2 Cal Step CL 0843
  1.218  5500         500V                                              S  2W

  1.219  ELSEIF       @CalStep == 844
  1.220  HEAD         -2 Cal Step CL 0844
  1.221  5500         1000V                                             S  2W

  1.222  ELSEIF       @CalStep == 852
  1.223  5500         *                                                 S
  1.224  HEAD         INPUT A&B, and DMM ZERO ADJUSTMENT
  1.225  PIC          19x_meter_input_short.jpg
  1.226  MATH         @Picture = "19x_meter_input_short.jpg"
  1.227  HEAD         -2 Cal Step CL 0852
# Wait 1 minute to cool down after application of 1000 V.
  1.228  WAIT         -t 60 UUT input divider thermal emfs dissipating...
  1.229  MATH         CalWaitTime = 1090

  1.230  ELSEIF       @CalStep == 910
  1.231  5500         *                                                 S
  1.232  HEAD         GAIN OHM ADJUSTMENT
  1.233  PIC          19x_meter_input_4w_55.jpg
  1.234  MATH         @Picture = "19x_meter_input_4w_55.jpg"
  1.235  HEAD         -2 Cal Step CL 0910
  1.236  5500         100Z                                              S  CW
  1.237  MATH         CalWaitTime = 10

  1.238  ELSEIF       @CalStep == 911
  1.239  HEAD         -2 Cal Step CL 0911
  1.240  5500         1kZ                                               S  CW
  1.241  MATH         CalWaitTime = 12

  1.242  ELSEIF       @CalStep == 912
  1.243  HEAD         -2 Cal Step CL 0912
  1.244  5500         10kZ                                              S  CW

  1.245  ELSEIF       @CalStep == 913
  1.246  HEAD         -2 Cal Step CL 0913
  1.247  5500         100kZ                                             S  CW

  1.248  ELSEIF       @CalStep == 914
  1.249  HEAD         -2 Cal Step CL 0914
  1.250  5500         1MZ                                               S  2W

  1.251  ELSEIF       @CalStep == 915
  1.252  HEAD         -2 Cal Step CL 0915
  1.253  5500         10MZ                                              S  2W
  1.254  MATH         CalWaitTime = 15

  1.255  ELSEIF       @CalStep == 920
  1.256  5500         *                                                 S
  1.257  HEAD         CALCULATE GAIN
  1.258  HEAD         -2 Cal Step CL 0920
  1.259  MATH         CalWaitTime = 50

  1.260  ELSE
  1.261  DISP         Unexpected step [V @CalStep] is met! It maybe caused
  1.261  DISP         by unsupported firmware revision of UUT! Contact with
  1.261  DISP         Fluke MET/CAL Gold support.
  1.261  DISP
  1.261  DISP         Press Advance to terminate the procedure now.
  1.262  END
  1.263  ENDIF

  1.264  PORT         [CLR]CL [V @CalStep]
  1.265  WAIT         -t [V CalWaitTime] Calibration is in progress...
  1.266  CALL         Sub Fluke 19x Cal Adjust Error RS-232 /5500

  1.267  IF           @FatalError
  1.268  MATH         @CalStep = 654

  1.269  ELSEIF       NOT(@CalError)
  1.270  RSLT         = Cal Step: [V @CalStep] is done.
# If calibration succeeded in steps except last step, the subsequent cal step
# number is returned. Once the last step of calibration succeeded, the "0"
# will be returned.
  1.271  PORT         [I]

# Check the returned response, if it can be recognized as proper cal step
# number, update the variable @CalStep for next step doing.
  1.272  IF           MEM >= 400 || (MEM == 0 && @CalStep == 920)
  1.273  MATH         @CalStep = MEM
  1.274  ENDIF

  1.275  ENDIF        ; @FatalError

  1.276  UNTIL        @CalStep == 0

  1.277  HEAD         -2
  1.278  5500         *                                                 S
  1.279  END
